# Class InspectPopupDialog

java.lang.Object
org.eclipse.jface.window.Window
org.eclipse.jface.dialogs.PopupDialog
org.eclipse.debug.ui.DebugPopup
org.eclipse.debug.ui.InspectPopupDialog

All Implemented Interfaces:
  `IShellProvider`

public class InspectPopupDialog extends DebugPopup
A `DebugPopup` that can be used to inspect an `IExpression` object.

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.

## Nested Class Summary

### Nested classes/interfaces inherited from class Window

`Window.IExceptionHandler`

## Field Summary

### Fields inherited from class PopupDialog

`HOVER_SHELLSTYLE, INFOPOPUP_SHELLSTYLE, INFOPOPUPRESIZE_SHELLSTYLE, POPUP_HORIZONTALSPACING, POPUP_IMG_MENU, POPUP_IMG_MENU_DISABLED, POPUP_MARGINHEIGHT, POPUP_MARGINWIDTH, POPUP_VERTICALSPACING`

### Fields inherited from class Window

`CANCEL, OK, resizeHasOccurred`

## Constructor Summary

Constructors
Constructor
Description
`InspectPopupDialog(Shell shell, Point anchor, String commandId, IExpression expression)`
Creates a new inspect popup.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`close()`
Closes this window, disposes its shell, and removes this window from its window manager (if it has one).
`protected Control`
`createDialogArea(Composite parent)`
Creates and returns the contents of the dialog (the area below the title area and above the info text area.
`protected String`
`getActionText()`
Returns the text to be shown as the action performed when this dialog's persist command is invoked, or `null`.
`protected List<Control>`
`getBackgroundColorExclusions()`
Return a list of controls which should never have their background color reset.
`protected Point`
`getInitialSize()`
Returns the initial size to use for the shell.
`TreeViewer`
`getTreeViewer()`
The viewer is initialized after the dialog is constructed, so only after open is called.
`protected void`
`initSashWeights()`
Initializes the sash form weights from the preference store (using default values if no sash weights were stored previously).
`protected void`
`persist()`
Persists the contents of the dialog.
`protected void`
`saveDialogBounds(Shell shell)`
Saves the bounds of the shell in the appropriate dialog settings.

### Methods inherited from class DebugPopup

`getCommandId, getDialogSettings, getInfoText, getInitialLocation, open, wasPersisted`

### Methods inherited from class PopupDialog

`adjustBounds, applyBackgroundColor, applyForegroundColor, configureShell, createContents, createInfoTextArea, createTitleControl, createTitleMenuArea, fillDialogMenu, getBackground, getDefaultLocation, getDefaultSize, getFocusControl, getForeground, getForegroundColorExclusions, getPersistLocation, getPersistSize, hasInfoArea, hasTitleArea, setInfoText, setTabOrder, setTitleText, showDialogMenu`

### Methods inherited from class Window

`canHandleShellCloseEvent, constrainShellSize, create, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, initializeBounds, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InspectPopupDialog

public InspectPopupDialog(Shell shell, Point anchor, String commandId, IExpression expression)
Creates a new inspect popup.

Parameters:
  `shell` - The parent shell
  `anchor` - point at which to anchor the popup in Display coordinates. Since 3.3 `null` indicates a default location should be used.
  `commandId` - The command id to be used for persistence of the dialog (possibly `null`)
  `expression` - The expression being inspected

## Method Details

### createDialogArea

protected Control createDialogArea(Composite parent)
Description copied from class: `PopupDialog`
Creates and returns the contents of the dialog (the area below the title area and above the info text area.

The `PopupDialog` implementation of this framework method creates and returns a new `Composite` with standard margins and spacing.

The returned control's layout data must be an instance of `GridData`. This method must not modify the parent's layout.

Subclasses must override this method but may call `super` as in the following example:

    Composite composite = (Composite) super.createDialogArea(parent);
    //add controls to composite as necessary
    return composite;

Specified by:
  `createDialogArea` in class `DebugPopup`
Parameters:
  `parent` - the parent composite to contain the dialog area
Returns:
  the dialog area control

### getTreeViewer

public TreeViewer getTreeViewer()
The viewer is initialized after the dialog is constructed, so only after open is called.

Returns:
  the tree viewer used by the dialog.
Since:
  3.17

### initSashWeights

protected void initSashWeights()
Initializes the sash form weights from the preference store (using default values if no sash weights were stored previously).

### saveDialogBounds

protected void saveDialogBounds(Shell shell)
Description copied from class: `PopupDialog`
Saves the bounds of the shell in the appropriate dialog settings. The bounds are recorded relative to the parent shell, if there is one, or display coordinates if there is no parent shell. Subclasses typically need not override this method, but may extend it (calling `super.saveDialogBounds` if additional bounds information should be stored. Clients may also call this method to persist the bounds at times other than closing the dialog.

Overrides:
  `saveDialogBounds` in class `PopupDialog`
Parameters:
  `shell` - The shell whose bounds are to be stored

### close

public boolean close()
Description copied from class: `PopupDialog`
Closes this window, disposes its shell, and removes this window from its window manager (if it has one).

This method is extended to save the dialog bounds and initialize widget state so that the widgets can be recreated if the dialog is reopened. This method may be extended (`super.close` must be called).

Overrides:
  `close` in class `DebugPopup`
Returns:
  `true` if the window is (or was already) closed, and `false` if it is still open

### getActionText

protected String getActionText()
Description copied from class: `DebugPopup`
Returns the text to be shown as the action performed when this dialog's persist command is invoked, or `null`.

Subclasses should override as necessary.

Overrides:
  `getActionText` in class `DebugPopup`
Returns:
  the text to be shown as the action performed when this dialog's persist command is invoked

### persist

protected void persist()
Description copied from class: `DebugPopup`
Persists the contents of the dialog. Subclasses should override as required, but also call super.persist().

Overrides:
  `persist` in class `DebugPopup`

### getInitialSize

protected Point getInitialSize()
Description copied from class: `Window`
Returns the initial size to use for the shell. The default implementation returns the preferred size of the shell, using `Shell.computeSize(SWT.DEFAULT, SWT.DEFAULT, true)`.

Overrides:
  `getInitialSize` in class `PopupDialog`
Returns:
  the initial size of the shell

### getBackgroundColorExclusions

protected List<Control> getBackgroundColorExclusions()
Description copied from class: `PopupDialog`
Return a list of controls which should never have their background color reset. Subclasses may extend this method, but should always call `super.getBackgroundColorExclusions` to aggregate the list.

Overrides:
  `getBackgroundColorExclusions` in class `PopupDialog`
Returns:
  the List of controls